Developers
V1Onboarding

Current published introduction; no anonymous tracking or account creation

GET
/v1/onboarding

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/onboarding"
{  "revision": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "draft",    "version": 1,    "definition": {      "name": "string",      "formatVersion": 2,      "slides": [        {          "id": "string",          "title": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          },          "body": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          },          "image": {            "url": "http://example.com",            "alt": {              "en-MY": "string",              "ms-MY": "string",              "zh-Hans-MY": "string"            }          },          "companion": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          },          "pose": "wave"        }      ],      "questions": [        {          "id": "string",          "prompt": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          },          "kind": "single",          "why": {            "en-MY": "string",            "ms-MY": "string",            "zh-Hans-MY": "string"          },          "shown": true,          "required": true,          "details": {            "optionId": "string",            "prompt": {              "en-MY": "string",              "ms-MY": "string",              "zh-Hans-MY": "string"            },            "placeholder": {              "en-MY": "string",              "ms-MY": "string",              "zh-Hans-MY": "string"            }          },          "number": {            "unit": "string",            "min": -1000000,            "max": 1000000          },          "options": [            {              "id": "string",              "label": {                "en-MY": "string",                "ms-MY": "string",                "zh-Hans-MY": "string"              },              "tracks": [                "bp"              ],              "icon": "bp",              "reply": {                "en-MY": "string",                "ms-MY": "string",                "zh-Hans-MY": "string"              },              "exclusive": true            }          ],          "maxSelections": 1        }      ]    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "publishedAt": "2019-08-24T14:15:22Z"  }}